<?php
// myDBR defaults. Created: 2009-03-20 15:11:17
$mydbr_defaults = array (
	'chart' => array ('sizeX' => 600,
	                  'sizeY' => 350,
					  'title_color' => 0x00000000, // ImageChart only, ARGB Color 
			      	  'title_font' => 'arialbd.ttf', // ImageChart 
				      'title_font_size' => 10, // ImageChart 
				      'base_font_size' => 10, // Flash Chart 
					  'axis_color' => 0x00000000, // ImageChart only, ARGB Color 
				      'axis_font' => 'arial.ttf', // ImageChart 
				      'axis_font_size' => 8, // ImageChart 
					  'label_color' => 0x00000000, // ImageChart only, ARGB Color 
					  'label_font' => 'arial.ttf', // ImageChart 
					  'label_font_size' => 8, // ImageChart 
					  'legend_color' => 0x00000000, // ImageChart only, ARGB Color 
					  'legend_font' => 'arial.ttf', // ImageChart 
					  'legend_font_size' => 8, // ImageChart 
					  'background_color' => 0x00FFFFFF, // 0x00FFFFFF,
					  'edge_color' => 0xFF000000,
					  'raised_effect' => 0,
					  'padding_top' => 0,
					  'colors' => array(
							0x0099CC, 
							0xF6BD0F,
							0x8BBA00,
							0xA66EDD,
							0xF984A1,
							0xCCCC00, 
							0x999999, 
							0xAFD8F8,
							0xFF0000, 
							0x006F00,
							0x0099FF, 
							0xFF66CC, 
							0x669966, 
							0x7C7CB4, 
							0xFF9933, 
							0x9900FF, 
							0x99FFCC, 
							0xCCCCFF, 
							0x669900, 
							0x1941A5, 
					   ),
					   'alternate_color' => array('0xFFFFFF', '0xECECEC'),
					   'meter' => array(
						'inner' => 0xF4F4F4,
						'outer' => 0x736F6E,
						'outer2' => 0xD5D5D5,
						'pointer' => 0xB82313,
						'green' => 0x6666ff66,
						'yellow' => 0x66ffff33,
						'red' => 0x66ff6666
						),
						
						'softlightning' => true, // For column and bar charts toggles the softlightning effect  
						'always_use_link_menu' => false, // Whether single linked report shows menu or follows link 
						'marker_size' => 10, // Marker size for scatter chart
						'autoscale' => array('top'=>0.1, 'bottom'=>0.1, 'zeroaffinity'=>0.5),
						'embed_image' => false,
						'default_image_format' => 'png',
	),
	'pager' => 20, // Default pager page size in rows 
	'automatic_parameters' => array(
		'username' => 'inLogin', // Automatic report parameter containing the username 
		'ip_address' => 'inIPAddress', // Users IP address
		'locale' => 'inLocale', // locale used in reports
		'user_agent' => 'inUseragent', // locale used in reports
		'autoexecute' => 'inAutoexecute', // Automatically executes the report if parameters are ok
		'accept_language' => 'inHTTP_ACCEPT_LANGUAGE', // HTTP_ACCEPT_LANGUAGE
		'referer' => 'inHTTP_REFERER', // HTTP_REFERER
		),
	'password' => array( 'expiration' => 30, 'length' => 8),
	'autocomplete_row1' => 'line-height: 1.1em;height: 2.3em; border-top: 1px solid #CCCCCC;',
	'page_title' => 'myDBR',
	'category_colors' => array('00C322','FF7A00','D2006B','0066CC','CC6600', 'A300C3', 'C30061', 'C38500'), // Report category default colors
	'search' => false, // Display search + export by default
	'user_prefs_formatting' => true, // Allow user to have own preferences
	'proxy' => array(), // for optional proxy parameters
	'baselanguage' =>  'en_US',
	'translate_window' =>  array('width' => 500, 'heigth' => 600),
	'translate_db_locale' =>  true, // Determines if locale is used in database operations
	'calendar_lang' => array (
		'ar' => 'en',
		'cs' => 'cs-utf8',
		'et' => 'en',
		'ko' => 'ko-utf8',
		'pl' => 'pl-utf8',
		'sl' => 'en' 
		),
	'active_directory_mydbr_groups' => 'myDBR Groups',
	'active_directory_mydbr_admin_group' => 'myDBR Admins',
	'active_directory_sync_users' => array(),
	'active_directory_recursive_user_groups' => true,
	'query_builder_widths' => array('db' => 194, 'table' => 194, 'column' => 373, 'selected' => 454),
	'graphviz_dpi' => 96,
	'export' => array(
				'cache_storage' => 'Memory',
				'export_choises' => array('Excel', 'PDF', 'CSV'),
				'colwidth' => 1,
				'excel' => array(
					'type' => 'xlsx', // xls or xlsx as a default output format
					'line_height' => 14,
					'font_width' => 8.2
				),
				'csv' => array(
					'delimiter' => ',',
					'decimal_point' => '.',
					'enclosure' => '"',
					'date_format' => 'Y-m-d', // See http://php.net/manual/en/function.date.php
					'time_format' => 'h:i:s a',
					'charset' => 'utf-8', // utf-8, ISO-8859-1
					'line_ending' => "\n",
					'header' => true, // Output the resultset header?
					'enclose_string_with_leading_or_trailing_space' => true,
					'linefeed_between_resultsets' => true,
					'use_BOM_in_UTF' => true
				),
				'pdf' => array(
					'font' => 'Arial',
					'font_size' => 9,
					'font_width' => 8.5, // Arial 10 default width. Increase this if your PDF output produces columns too narrow
					'column_width_divider' => 5.941,
					'logo' => 'apppic_small.jpg', // in user/images
					'logo_width' => 40,
					'image_scale' => 1.25,
					),
				'wkhtmltopdf' => array(
					'command' => 'wkhtmltopdf', 
					'use_as_default' => true
					),
				'use_PCLZIP' => false,
				'new_window' => false,
			),
	'favourites_enabled' => true,	
	'show_query_builder_when_new' => false,	
	'sql_editor' => array(
			'height' => '500px',
			'replace_tab_by_spaces' => false, // false or number of spaces tab represents
			'use_direct_file'  => true,
			'compress_js' => true
	),
	'param_inline_pairs' => array( 'inStartDate' => 'inEndDate', 'dtFrom' => 'dtTo'),
	'notifications' => array( // if missing features are reminded of
		'chartdirector_missing' => 1,
		'chartdirector_not_default' => 1,
		'wkhtml_missing' => 1,
	),
	'error_reporting' => E_ALL ^ E_NOTICE,
	'logout' => array( 'url' => 'thankyou.html', 'link_text' => '#{MYDBR_AMAIN_LOGOUT}'),
	'google_maps_api_key' => '',
	'google_maps_business' => array('client_id' => null, 'private_key' => null),
	'cookie_host' => null,
	'stickyheader' => true,
	'datetimefilter' => true,
	'IE_override_compatibility_view' => true,
	'single_sign_on' => array('url_parameter' => 'url'),
	'remote_server' => array ( 'timeout' => 60 ),
);

require_once( dirname(__FILE__).'/user/defaults.php' );